OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
RWStepShape

# RWStepShape_RWSolidReplica Class Reference

Read & Write Module for SolidReplica
.

`#include <RWStepShape_RWSolidReplica.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepShape_RWSolidReplica ()
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepShape_SolidReplica)&ent) const
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepShape_SolidReplica)&ent) const
Standard_EXPORT void | Share (const Handle(StepShape_SolidReplica)&ent, Interface_EntityIterator &iter) const

## Constructor & Destructor Documentation

Standard_EXPORT RWStepShape_RWSolidReplica::RWStepShape_RWSolidReplica | ( |  | ) |

## Member Function Documentation

void RWStepShape_RWSolidReplica::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepShape_RWSolidReplica::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepShape_RWSolidReplica::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepShape_RWSolidReplica::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepShape_SolidReplica)& | ent
| ) | const

Standard_EXPORT void RWStepShape_RWSolidReplica::Share | ( | const Handle(StepShape_SolidReplica)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void RWStepShape_RWSolidReplica::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepShape_SolidReplica)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepShape_RWSolidReplica.hxx